#!/bin/bash

# 执行 npm run build
npm run build

# 创建新目录
mkdir deployment_package

# 复制 dist 文件夹和 nginx.conf 到新目录
cp -r dist deployment_package/
cp nginx.conf deployment_package/

# 切换到包含新目录、Dockerfile 的上级目录
cd..

# 打包
tar -czf deployment_package.tar.gz deployment_package/ Dockerfile