import request from '@/utils/request';

export function getCurrentReport() {
    return request({
        url: '/Report/current',
        method: 'get'
    });
}

export function getHistoryReport() {
    return request({
        url: '/devicedata/gethtml?name=9b889443bab24a249f43679663074e8c',
        method: 'get'
    });
}

export function getGanttData(deviceId, inputTime) {
    return request({
        url: `/State?deviceId=${deviceId}&inputTime=${inputTime}`,
        method: 'get'
    });
}